import request from '@/utils/request'


export function getEvaluationItemList(query) {
  return request({
    url: '/certset/evaluationitem/',
    method: 'get',
    params: query
  })
}
export function getEvaluationItem(id) {
  return request({
    url: `/certset/evaluationitem/${id}/`,
    method: 'get'
  })
}
export function createEvaluationItem(data) {
  return request({
    url: '/certset/evaluationitem/',
    method: 'post',
    data
  })
}

export function updateEvaluationItem(id, data) {
  return request({
    url: `/certset/evaluationitem/${id}/`,
    method: 'put',
    data
  })
}

export function deleteEvaluationItem(id) {
  return request({
    url: `/certset/evaluationitem/${id}/`,
    method: 'delete'
  })
}

export function getEvaluationsList(query) {
  return request({
    url: '/certset/evaluations/',
    method: 'get',
    params: query
  })
}

export function createEvaluations(data) {
  return request({
    url: '/certset/evaluations/',
    method: 'post',
    data
  })
}

export function updateEvaluations(id, data) {
  return request({
    url: `/certset/evaluations/${id}/`,
    method: 'put',
    data
  })
}

export function deleteEvaluations(id) {
  return request({
    url: `/certset/evaluations/${id}/`,
    method: 'delete'
  })
}
